Subject: RE: [Sip] Major Open Issue #113: Overlapping Transactions

From: [email-masked]
Date: Fri, 7 Dec 2001 12:22:36 -0700

I'm in favor of avoiding overlap dialing.  However, before it is ruled out
completely, bear in mind it may still be used in Europe.  They support SAM
messages in ETSI ISUP.  I'm not familiar with how prevalent its use is
though.  We don't want to decide something that may cause problems with ETSI
ISUP gateway interop.

John Hearty
Level3

-----Original Message-----
From: Mart Nurmet [mailto:[email-masked]]
Sent: Friday, December 07, 2001 10:47 AM
To: [email-masked]; [email-masked]
Cc: Chiou, Mark
Subject: Re: [Sip] Major Open Issue #113: Overlapping Transactions

Mike:

Overlap dialing was appropriate for dial pulse signaling to hold the trunk.
This was done away with once MF (Multi Frequency) signaling to be used [it
was not allowed then].  Then the end office collected all the digits and
determined the end of signaling by timing the digit reception or receipt of
the # sign.  Then the end office, forwarded the full string.  Overlap
dialing could possibly be still found on dial pulse trunks but it would hard
to find that anywhere else. In the SIP world that is a fuction that should
not be needed.

- Mart

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Sent: Friday, December 07, 2001 10:28 AM
Subject: Re: [Sip] Major Open Issue #113: Overlapping Transactions

> In a message dated 12/6/01 4:18:52 PM Eastern Standard Time,
> [email-masked] writes:
>
> > I vote for no Overlapping for INVITEs. SIP is an IP protocol. People
> >  usually input digits then hit the send button. If the user hit the send
> >  button too early, it is a incomplete address call. It is the same
> >  approach as the wireless network. For 3G release 5 using SIP, I cannot
> >  image supporting overlapping, which will tie up the air resources
during
> >  call setup.
> >
> In the cellular world, true, you had to hit the send only after entering
the
> whole number. In the PSTN, not true, the network got each digit separate.
>
> Some would argue that the next generation of phones (IP) should work just
> like the old, "black" rotary dial phones. That argument hampered some of
the
> ISDN standardization and certainly hampered the transition from rotary
dial
> to DTMF in the US.
>
> I believe it would be appropriate for the IP environment (SIP devices) to
> require that the user enter the whole number and then hit "send". We've
all
> learned to deal with that dialing procedure for celluler. Certainly, 3G
> should not support dialing.
>
> Whether this eliminates the need for overlapping INVITEs - I don't know.
> There may be other uses, such as the description in
> draft-ietf-sip-overlap-01, which is a different issue.
>
> Mike Pierce
>
> _______________________________________________
> Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
>

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 07 Dec 2001 22:58:55 +0200

Hi folks,

Please, do not side-track the mail threads with subjects like: "Open
issue #xxx". The deadline for bis is tight, and we really have to
resolve all the open issues ASAP.

I have changed the name of the thread in case somebody wants to go on
discussing about overlap dialing, which does not have anything to do
with bug#113.

Thanks,

Gonzalo

-- 
Gonzalo Camarillo                    Phone :   +1 212 939 71 71
Columbia University                  Mobile:  +358 40 702 35 35
472 Computer Science Building        Fax   :  +358  9 299 30 52
1214 Amsterdam Ave., Mail Code 0401  http://www.hut.fi/~gonzalo
New York, NY 10027                   
USA                              [email-masked]

---

From: "Mart Nurmet" <[email-masked]>
Date: Fri, 7 Dec 2001 14:58:11 -0600

Yes, that is more appropriate to be discussed. - Mart

----- Original Message -----
From: "Gonzalo Camarillo" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Friday, December 07, 2001 2:58 PM
Subject: Overlap dialing WAS Re: [Sip] Major Open Issue #113: Overlapping
Transactions